
D4Science Infrastructure - Support #1721

new VM for uri-resolver in dev

Dec 04, 2015 02:31 PM - Roberto Cirillo

Status: Closed Start date: Dec 04, 2015

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Infrastructure: Development   

Description

Now the uri-resolver is hosted on dev portal.

For a completed alignment with "storage-manager uri", the uri resolver webapp should be hosted on a new VM called

"data.gcube.org".

This new VM should have the same HW resources of "data.d4science.org"

History

#1 - Dec 04, 2015 02:58 PM - Tommaso Piccioli

do you mean "data.gcube-system.org" ?

#2 - Dec 04, 2015 04:51 PM - Roberto Cirillo

No I don't. The correct name should be: "data.gcube.org"

#3 - Dec 04, 2015 04:53 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

No I don't. The correct name should be: "data.gcube.org"

 I see a problem here:

host data.gcube.org

data.gcube.org has address 69.172.201.208

adellam@pc-adellam:~$ whois gcube.org

Domain Name:GCUBE.ORG

Domain ID: D166674474-LROR

Creation Date: 2012-09-24T14:31:10Z

Updated Date: 2015-08-29T20:47:36Z

Registry Expiry Date: 2016-09-24T14:31:10Z

Sponsoring Registrar:Dynadot, LLC (R1266-LROR)

Sponsoring Registrar IANA ID: 472

WHOIS Server:

Referral URL: http://www.dynadot.com

Domain Status: clientTransferProhibited -- http://www.icann.org/epp#clientTransferProhibited

Registrant ID:C-31602

Registrant Name:Chris Nielsen

Registrant Organization:

Registrant Street: 7141 Oak Pointe Curve

Registrant City:Minneapolis

Registrant State/Province:MN

Registrant Postal Code:55438

Registrant Country:US

Registrant Phone:+1.9529430170

Registrant Phone Ext:

Registrant Fax:

Registrant Fax Ext:

Registrant Email:usdomainadmin@nielsentech.com

Admin ID:C-31602

Admin Name:Chris Nielsen

Admin Organization:

Admin Street: 7141 Oak Pointe Curve

Admin City:Minneapolis

Admin State/Province:MN

Admin Postal Code:55438

Admin Country:US
Admin Phone:+1.9529430170

Admin Phone Ext:

Admin Fax:

Admin Fax Ext:

Admin Email:usdomainadmin@nielsentech.com

Tech ID:C-31602

Tech Name:Chris Nielsen

Tech Organization:

Tech Street: 7141 Oak Pointe Curve

Tech City:Minneapolis

Tech State/Province:MN

Tech Postal Code:55438

Tech Country:US

Tech Phone:+1.9529430170

Tech Phone Ext:

Tech Fax:

Tech Fax Ext:

Tech Email:usdomainadmin@nielsentech.com

Name Server:SELL.INTERNETTRAFFIC.COM

Name Server:BUY.INTERNETTRAFFIC.COM

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

Name Server:

DNSSEC:Unsigned

#4 - Dec 04, 2015 04:58 PM - Leonardo Candela

I have a couple of conceptual problems with the name, I'm sorry. 

The domain for the technology is gcube-system.org ... however this requirement should have nothing to do with the technology. We are asking for a

machine to act as a uri resolver for the pre-production infrastructure. 

the pre-production infrastructure should be something under the domain d4science.org

IMO the right name should be data.xxx.d4science.org where xxx is the name of the preproduction infrastructure. 

#5 - Dec 04, 2015 05:21 PM - Andrea Dell'Amico

Something like data-pre-gcube.d4science.org?

we do not have a single letter identifier for the pre production infrastructure, yet. And we are trying to avoid subzones because they can create

problems as are managed right now (we should take over the dns management too, but we are not ready).

#6 - Dec 04, 2015 05:28 PM - Roberto Cirillo

The original idea was to have a "data.d4science.org" for production environment and a "data.gcube.org" for development environment

But I didn't have considered the domain issue.

If possible the new machine can be called "data.gcube-system.org" as Tommi and Leo suggested. 

#7 - Dec 11, 2015 10:40 AM - Roberto Cirillo

- Priority changed from Normal to High

#8 - Jan 11, 2016 06:33 PM - Francesco Mangiacrapa

any update?

#10 - Jan 11, 2016 06:55 PM - Francesco Mangiacrapa

- Priority changed from High to Urgent

#11 - Jan 12, 2016 04:30 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 30

#12 - Jan 12, 2016 04:55 PM - Francesco Mangiacrapa
- % Done changed from 30 to 0

@andrea.dellamico@isti.cnr.it when the machine will be ready, please you should move the rewrite rules created here: #353

from "dev.d4science.org" to "data-d.d4science.org", thx.

#13 - Jan 12, 2016 04:55 PM - Francesco Mangiacrapa

- % Done changed from 0 to 30

#14 - Jan 12, 2016 04:57 PM - Andrea Dell'Amico

The VM name is data-d.d4science.org, the needed aliases will be added later.

#15 - Jan 12, 2016 04:58 PM - Andrea Dell'Amico

The ansible playbook will install and configure:

apache, with the rewrite rules

Oracle JDK 7

Tomcat running under the gcube user

#16 - Jan 12, 2016 06:42 PM - Tommaso Piccioli

CNAME created on DNS zone:   data.gcube-system.org -> data-d.d4science.org

#17 - Jan 12, 2016 06:51 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

data-d.d4science.org is now up and running.

Francesco has access as gcube user, Roberto has access as root and gcube.

tomcat can be started/stopped using the 

./startContainer.sh

./stopContainer.sh

 scripts that are installed inside the gcube home directory.

The SCOPE=/gcube variable is defined inside ~gcube/.bashrc and in the /etc/default/tomcat-instance-9090.local file that's read by tomcat when it

starts.

#18 - Jan 12, 2016 06:58 PM - Andrea Dell'Amico

- % Done changed from 90 to 100

I've added data.gcube-system.org as server alias into the apache virtualhost configuration.

#19 - Jan 13, 2016 02:33 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Fixed some of the rewrite rules, now they are much simpler. The only one that remains is

RewriteRule  ^/uri-resolver/(.*)$ /$1 [NE,R=301,L]

 while all the other cases are managed by the proxy rule:

    ProxyPreserveHost on

    ProxyPass / http://localhost:9090/uri-resolver/

    ProxyPassReverse / http://localhost:9090/uri-resolver/

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 3/3

https://redmine.dev.d4science.org/issues/353
http://www.tcpdf.org

